org.springframework.test.context.transaction

## Class TransactionConfigurationAttributes

- java.lang.Object
- - org.springframework.test.context.transaction.TransactionConfigurationAttributes

    public class TransactionConfigurationAttributes
    extends Object

Configuration attributes for configuring transactional tests.

Since:
  2.5
Author:
  Sam Brannen, Juergen Hoeller
See Also:
  `TransactionConfiguration`

### Constructor Summary

Constructors
Constructor and Description
`TransactionConfigurationAttributes(String transactionManagerName, boolean defaultRollback)` Construct a new TransactionConfigurationAttributes instance from the supplied arguments.

### Method Summary

Methods
`String` `getTransactionManagerName()` Get the bean name of the `PlatformTransactionManager` that is to be used to drive transactions.
`boolean` `isDefaultRollback()` Whether or not transactions should be rolled back by default.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionConfigurationAttributes

    public TransactionConfigurationAttributes(String transactionManagerName,
                                      boolean defaultRollback)

Construct a new TransactionConfigurationAttributes instance from the supplied arguments.

Parameters:
  `transactionManagerName` - the bean name of the `PlatformTransactionManager` that is to be used to drive transactions
  `defaultRollback` - whether or not transactions should be rolled back by default

### Method Detail

#### getTransactionManagerName

    public final String getTransactionManagerName()

Get the bean name of the `PlatformTransactionManager` that is to be used to drive transactions.

#### isDefaultRollback

    public final boolean isDefaultRollback()

Whether or not transactions should be rolled back by default.

Returns:
  the default rollback flag

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`